org.jgroups.protocols

## Class UNICAST2.Unicast2Header

- java.lang.Object
- - org.jgroups.Header
  - - org.jgroups.protocols.UNICAST2.Unicast2Header

All Implemented Interfaces:
  Streamable

Enclosing class:
  UNICAST2

    public static class UNICAST2.Unicast2Header
    extends Header

The following types and fields are serialized:

     | DATA | seqno | conn_id | first |
     | ACK  | seqno |
     | SEND_FIRST_SEQNO | seqno |

### Field Summary

Fields
`static byte` `DATA`
`static byte` `SEND_FIRST_SEQNO`
`static byte` `STABLE`
`static byte` `XMIT_REQ`

### Constructor Summary

Constructors
Constructor and Description
`UNICAST2.Unicast2Header()`

### Method Summary

Methods
`UNICAST2.Unicast2Header` `copy()`
`static UNICAST2.Unicast2Header` `createDataHeader(long seqno, short conn_id, boolean first)`
`static UNICAST2.Unicast2Header` `createSendFirstSeqnoHeader(long seqno_received)`
`static UNICAST2.Unicast2Header` `createStableHeader(long low, long high)`
`static UNICAST2.Unicast2Header` `createXmitReqHeader(long low, long high)`
`long` `getSeqno()`
`void` `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`int` `size()` To be implemented by subclasses.
`java.lang.String` `toString()`
`static java.lang.String` `type2Str(byte t)`
`void` `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DATA

    public static final byte DATA

See Also:
  Constant Field Values

#### XMIT_REQ

    public static final byte XMIT_REQ

See Also:
  Constant Field Values

#### SEND_FIRST_SEQNO

    public static final byte SEND_FIRST_SEQNO

See Also:
  Constant Field Values

#### STABLE

    public static final byte STABLE

See Also:
  Constant Field Values

### Constructor Detail

#### UNICAST2.Unicast2Header

    public UNICAST2.Unicast2Header()

### Method Detail

#### createDataHeader

    public static UNICAST2.Unicast2Header createDataHeader(long seqno,
                                           short conn_id,
                                           boolean first)

#### createXmitReqHeader

    public static UNICAST2.Unicast2Header createXmitReqHeader(long low,
                                              long high)

#### createStableHeader

    public static UNICAST2.Unicast2Header createStableHeader(long low,
                                             long high)

#### createSendFirstSeqnoHeader

    public static UNICAST2.Unicast2Header createSendFirstSeqnoHeader(long seqno_received)

#### getSeqno

    public long getSeqno()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `Header`

#### type2Str

    public static java.lang.String type2Str(byte t)

#### size

    public final int size()

Description copied from class: `Header`
To be implemented by subclasses. Return the size of this object for the serialized version of it. I.e. how many bytes this object takes when flattened into a buffer. This may be different for each instance, or can be the same. This may also just be an estimation. E.g. FRAG uses it on Message to determine whether or not to fragment the message. Fragmentation itself will be accurate, because the entire message will actually be serialized into a byte buffer, so we can determine the exact size.

Specified by:
  `size` in class `Header`

#### copy

    public UNICAST2.Unicast2Header copy()

#### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

Description copied from interface: `Streamable`
Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

Throws:
  `java.io.IOException`

#### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

Description copied from interface: `Streamable`
Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

Throws:
  `java.io.IOException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`